From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/kombu/
Date: Mon, 19 Oct 2015 16:29:36 +0000 (UTC) [thread overview]
Message-ID: <1445272151.d47453708b975842fd952bded825f09f6e9c1c14.jlec@gentoo> (raw)
commit: d47453708b975842fd952bded825f09f6e9c1c14
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 19 15:19:47 2015 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Mon Oct 19 16:29:11 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d4745370
dev-python/kombu: Version Bump
Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
dev-python/kombu/Manifest | 1 +
dev-python/kombu/kombu-3.0.28.ebuild | 107 +++++++++++++++++++++++++++++++++++
2 files changed, 108 insertions(+)
diff --git a/dev-python/kombu/Manifest b/dev-python/kombu/Manifest
index 66ee5ee..389ed10 100644
--- a/dev-python/kombu/Manifest
+++ b/dev-python/kombu/Manifest
@@ -2,3 +2,4 @@ DIST kombu-2.5.16.tar.gz 307515 SHA256 feab7f4384e2420bed19b8323150059d4b12e8eac
DIST kombu-3.0.23.tar.gz 343923 SHA256 448c3e3ce671a10f00ee03979ba3c7866b4bfce49f65edec9f93a0cefa87ec16 SHA512 239ffbeb3c901227de7fb44f7c0b5ca611b8648eea81cd0c371bdadc1cd855a0f19001556aaa62abf7cb610b26dc182058251b97d85c8529a42a2e675edd0aaf WHIRLPOOL 0842ff10715b45c92d43923b32a3c81b5216a9c5fe0b6432d3790b1e08a02388f3631d380b7234cb050e8c8b711ab0ecb8aab676499f576b14d1a3b90844688f
DIST kombu-3.0.24.tar.gz 374539 SHA256 b9ff0437607113aea701fd5122c2afa40c05dff6f1da4f58b2f1ea18d9f2bf8d SHA512 fdc42073d37c0888f564ae3feec517212e3cadd534cae2a0893f799c6fea7c217aa979617ec73b63466a7b5a3dbb836b57422ce514087d4e4821e88eec5e4ffa WHIRLPOOL 8513cbe9df4337fe3545cc2a2ff3cec3c9f28b60f200aff5395b2acb484c6b75fe710b5227df6eb3fd41a6faeb49a0aaf968618e66594e9e87c20c448475d27c
DIST kombu-3.0.26.tar.gz 375553 SHA256 1f565abd44c4b7dfaa4dd543d52f982d2f006aba0a2b3830542b4d25a801fe09 SHA512 71656cc8f44101700c5489e0b0a66918a00cf8ff39e65feab1090865e3c8d50b6dd2458f95d48fb58cc4387de954530fe27a5713838509d51123bac7009631a2 WHIRLPOOL d706dcd752e24eebc3a1091a8a2ba91a0b6adf30fa9be4d9d1a95b5c008f8036eb518f03ccb1d3393502488120c9ad2ad2f2e01c41b59beb3576389b3f9c000f
+DIST kombu-3.0.28.tar.gz 377706 SHA256 c22af35c4e7bbb7441b789b9b8c1baf73a8c481eaa93d00a63fa85bddc6b1ab1 SHA512 1409966edef345565f371cfa705fc643ca9b0e5ef46426f4b41859461f1c326e2c6c754ff51c337f42c42039af678d3dda0b333a2d70bbbcaa5e6c050a4d1ce9 WHIRLPOOL 780233337a574fafc187f9b4d68f17c9e68ee6e9fa7276ece859081573ace3b981dcbed2ff89b885bd7e0f8995dab42e0c34d6f47b6c0fb7dd053505a6f78d31
diff --git a/dev-python/kombu/kombu-3.0.28.ebuild b/dev-python/kombu/kombu-3.0.28.ebuild
new file mode 100644
index 0000000..373244c
--- /dev/null
+++ b/dev-python/kombu/kombu-3.0.28.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="AMQP Messaging Framework for Python"
+HOMEPAGE="https://pypi.python.org/pypi/kombu https://github.com/celery/kombu"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="amqplib doc examples msgpack sqs test"
+
+# couchdb backend support possible via dev-python/couchdb-python
+# ditto dev-python/kazoo(>=1.3.1) and dev-python/beanstalkc
+PY27_GEN_USEDEP=$(python_gen_usedep python2_7)
+PYPY_GEN_USEDEP=$(python_gen_usedep python2_7 pypy)
+RDEPEND="
+ >=dev-python/anyjson-0.3.3[${PYTHON_USEDEP}]
+ >=dev-python/py-amqp-1.4.7[${PYTHON_USEDEP}]
+ <dev-python/py-amqp-2.0[${PYTHON_USEDEP}]
+ dev-python/pyro:4[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '>=dev-python/pyzmq-13.1.0[${PYTHON_USEDEP}]' python2_7 python{3_3,3_4})
+ amqplib? ( >=dev-python/amqplib-1.0.2[${PYTHON_USEDEP}] )
+ sqs? ( >=dev-python/boto-2.13.3[${PY27_GEN_USEDEP}] )
+ msgpack? ( >=dev-python/msgpack-0.3.0[${PYTHON_USEDEP}] )"
+# Fix to https://github.com/celery/kombu/issues/474 obliges dev-python/pymongo to >=-3.0.2
+DEPEND="${RDEPEND}
+ >=dev-python/setuptools-0.7[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/unittest2-0.5.0[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/nose-cover3[${PYTHON_USEDEP}]
+ >=dev-python/coverage-3.0[${PYTHON_USEDEP}]
+ >=dev-python/mock-0.7.0[${PYPY_GEN_USEDEP}]
+ dev-python/django[${PYTHON_USEDEP}]
+ >=dev-python/redis-py-2.10.3[${PYTHON_USEDEP}]
+ >=dev-python/pymongo-3.0.2[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.10[${PYTHON_USEDEP}] )
+ doc? (
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/django[${PYTHON_USEDEP}]
+ dev-python/beanstalkc[${PY27_GEN_USEDEP}]
+ dev-python/couchdb-python[${PYTHON_USEDEP}]
+ >=dev-python/sphinxcontrib-issuetracker-0.9[${PYTHON_USEDEP}] )"
+
+# kazoo and sqlalchemy are optional packages for tests.
+# Refrain for now, no established demand for it from users
+
+# Req'd for test phase
+DISTUTILS_IN_SOURCE_BUILD=1
+
+PY27_REQUSE="$(python_gen_useflags 'python2.7')"
+REQUIRED_USE="
+ sqs? ( ${PY27_REQUSE} )
+ doc? ( ${PY27_REQUSE} amqplib sqs )" # 2 deps in doc build are py2 capable only
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-NA-tests-fix.patch
+ )
+
+python_prepare_all() {
+ https://github.com/celery/kombu/issues/246
+ sed -e 's:kombu.transports:kombu.transport:' -i funtests/tests/test_django.py
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ # Doc build must be done by py2.7
+ # Doc build misses and skips only content re librabbitmq which is not in portage
+ if use doc; then
+ emake -C docs html || die "kombu docs failed installation"
+ fi
+}
+
+python_test() {
+ export DJANGO_SETTINGS_MODULE="django.conf"
+ # https://github.com/celery/kombu/issues/474
+ # tests need </pymongo-3.0; known to cause some breakage
+ if python_is_python3; then
+ 2to3 --no-diffs -w build/lib/kombu/transport/
+ nosetests --py3where=build/lib kombu/tests || die "Tests failed under ${EPYTHON}"
+ else
+ nosetests "${S}"/kombu/tests || die "Tests failed under ${EPYTHON}"
+ # funtests appears to be coded only for py2, a kind of 2nd tier. pypy fails 6.
+ # https://github.com/celery/kombu/issues/411
+ # Fix to https://github.com/celery/kombu/issues/474 breaks the
+ # funtests under >=dev-python/pymongo-3.0.2
+# if [[ "${EPYTHON}" == python2.7 ]]; then
+# pushd funtests > /dev/null
+# esetup.py test
+# popd > /dev/null
+# fi
+ fi
+}
+
+python_install_all() {
+ use examples && local EXAMPLES=( examples/. )
+ use doc && local HTML_DOCS=( docs/.build/html/. )
+ distutils-r1_python_install_all
+}
next reply other threads:[~2015-10-19 16:30 UTC|newest]
Thread overview: 87+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-10-19 16:29 Justin Lecher [this message]
-- strict thread matches above, loose matches on Subject: below --
2015-10-27 9:04 [gentoo-commits] repo/gentoo:master commit in: dev-python/kombu/ Justin Lecher
2015-12-07 9:11 Justin Lecher
2015-12-09 19:07 Michał Górny
2015-12-11 6:34 Ian Delaney
2015-12-11 6:34 Ian Delaney
2015-12-17 16:28 Justin Lecher
2016-01-10 8:23 Justin Lecher
2016-02-28 6:43 Matt Thode
2016-03-19 13:36 Manuel Rüger
2016-03-25 4:37 Matt Thode
2016-08-06 16:51 Michał Górny
2016-10-12 21:39 Zac Medico
2016-10-29 23:15 Mike Gilbert
2016-10-29 23:15 Mike Gilbert
2017-01-20 9:43 Zac Medico
2017-02-04 15:21 Agostino Sarubbo
2017-02-12 15:44 Agostino Sarubbo
2017-08-27 4:26 Matt Thode
2017-08-27 8:21 Matt Thode
2018-02-13 20:21 Matt Thode
2018-03-09 17:59 Matt Thode
2018-09-01 5:30 Matt Thode
2018-09-04 2:04 Matt Thode
2018-09-28 20:33 Matt Thode
2019-04-09 7:05 Matthew Thode
2019-05-11 18:17 Matthew Thode
2019-06-30 21:57 Zac Medico
2019-10-31 21:29 Matthew Thode
2019-11-19 18:36 Matthew Thode
2020-02-02 15:34 Michał Górny
2020-03-27 21:06 Michał Górny
2020-05-16 21:21 Matthew Thode
2020-05-30 17:52 Matthew Thode
2020-10-17 21:53 Matthew Thode
2020-11-25 10:11 Michał Górny
2020-12-02 8:32 Mikle Kolyada
2020-12-02 8:58 Michał Górny
2021-07-05 13:25 Michał Górny
2021-08-22 7:05 Arthur Zamarin
2021-09-11 16:28 Michał Górny
2021-11-02 22:59 Michał Górny
2021-11-08 8:31 Michał Górny
2021-11-14 8:46 Michał Górny
2021-12-29 6:10 Arthur Zamarin
2022-01-13 1:04 Louis Sautier
2022-03-15 22:17 Michał Górny
2022-05-16 13:20 Michał Górny
2022-10-08 9:36 Michał Górny
2022-10-08 9:38 Michał Górny
2022-10-17 5:28 Michał Górny
2022-10-23 18:57 Arthur Zamarin
2023-01-10 14:42 Michał Górny
2023-02-21 7:41 Michał Górny
2023-04-13 15:20 Michał Górny
2023-04-13 15:30 Michał Górny
2023-06-04 5:44 Michał Górny
2023-06-16 4:05 Michał Górny
2023-06-16 4:05 Michał Górny
2023-07-24 11:32 Michał Górny
2023-08-31 13:22 Michał Górny
2023-11-06 6:22 Michał Górny
2023-11-13 18:49 Michał Górny
2023-11-17 7:57 Michał Górny
2023-12-30 18:30 Michał Górny
2024-01-13 8:20 Michał Górny
2024-03-28 5:55 Michał Górny
2024-04-12 3:35 Michał Górny
2024-04-12 3:35 Michał Górny
2024-04-14 15:28 Michał Górny
2024-06-20 15:20 Michał Górny
2024-06-20 15:20 Michał Górny
2024-08-07 14:10 Michał Górny
2024-09-11 18:39 Michał Górny
2024-09-20 5:12 Michał Górny
2024-09-20 5:12 Michał Górny
2024-10-15 7:00 Michał Górny
2024-10-15 7:00 Michał Górny
2024-10-30 3:41 Michał Górny
2025-02-20 5:06 Michał Górny
2025-02-20 5:06 Michał Górny
2025-03-13 20:03 Arthur Zamarin
2025-03-14 6:32 Michał Górny
2025-03-25 5:33 Michał Górny
2025-03-25 5:33 Michał Górny
2025-03-31 7:10 Michał Górny
2025-03-31 7:10 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1445272151.d47453708b975842fd952bded825f09f6e9c1c14.jlec@gentoo \
--to=jlec@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox